> For the complete documentation index, see [llms.txt](https://offerslook-api.gitbook.io/api-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://offerslook-api.gitbook.io/api-documentation/affiliate_api/offers/apply-offers.md).

# Apply offers

| HTTP method | Endpoint                                       |
| ----------- | ---------------------------------------------- |
| **POST**    | **/aff/v1/batches/offers/applys/{offer\_ids}** |

## Path parameters <a href="#path-parameters" id="path-parameters"></a>

| Parameter | Description                  |
| --------- | ---------------------------- |
| offer\_id | The unique id for the offer. |

**Note:The limit of bulk adjustment is 100 offers.**

***Note: When the field of the offer\_approval is equal to 2 (public) , affiliates can apply directly to the offer without permission (this operation make affiliates approved to the offer in default). At the same time, affiliates can also directly get access to the tracking link.***

## Response body parameters <a href="#response-body-parameters" id="response-body-parameters"></a>

| Field  | Type   | Description                                 |
| ------ | ------ | ------------------------------------------- |
| status | string | Affiliates’ application status of an offer. |

## Example request <a href="#example-request" id="example-request"></a>

**Request POST** <https://{networkname}.api.offerslook.com/aff/v1/batches/offers/applys/536,537,538,543,544>

**Request POST** <http://{networkname}.api.offerslook.com/aff/v1/batches/offers/applys/536,537,538,543,544>

## Example response <a href="#example-response" id="example-response"></a>

```
    {
      "code": 0,
      "message": "Success",
      "data": {
        "offer_application": [
          {
            "offer_id": 536,
            "status": "approved"
          },
          {
            "offer_id": 537,
            "status": "approved"
          },
          {
            "offer_id": 538,
            "status": "approved"
          },
          {
            "offer_id": 543,
            "status": "pending"
          },
          {
            "offer_id": 544,
            "status": "pending"
          }
        ]
      }
    }
```
